{% extends 'base.html.twig' %}

{% block body %}
<div class="col-lg-12">
    <h3>Liste Tuteurs :</h3>
    <div class="col-lg-12">
        <a class="btn btn-primary fa-pull-right" style="margin-bottom: 10px;" href="{{ path('su_tuteur_new') }}">
            <i class="fa fa-plus-square"></i>  Ajouter un Tuteur
        </a>
    </div>
</div>
<div class="col-lg-12 table-responsive">
    <table class="table table-striped table-rounded-radius"  >
        <thead>
        <tr align="center">
            <th>Actions</th>
            <th>Nom</th>
            <th>Prénom</th>
            <th>Email</th>
            <th>Etat</th>
        </tr>
        </thead>
        <tbody>
        {% if users is empty %}
        <tr>
            <td colspan="5">
                <p>Il y a pas des Tuteurs</p>
            </td>
        </tr>
        {% else %}
            {% for user in users %}
                <tr >
                    <td width="20%">
                        <a class="btn btn-danger" data-toggle="modal" data-target="#deleteAdmin{{ user.id }}" style="color: white"><i class="icon ion-md-trash"></i></a>
                        {{ render(controller("SuperAdminBundle:GestionTuteur:show",{ 'id': user.id })) }}
                        <a class="btn btn-warning" href="{{ path('su_tuteur_edit', { 'id': user.id }) }}" style="color: white"><i class="fa fa-edit"></i></a>
                        {% if user.enabled == true %}
                            <a class="btn btn-outline-danger" href="{{ path('tuteur_deactivate', { 'id': user.id }) }}"><i class="fa fa-times-circle"></i></a>
                        {% else %}
                            <a class="btn btn-outline-success" href="{{ path('tuteur_activate', { 'id': user.id }) }}"><i class="fa fa-check-circle"></i></a>
                        {% endif %}
                    </td>
                    <td width="20%" align="center">{{ user.lastName }}</td>
                    <td width="20%" align="center">{{ user.firstName }}</td>
                    <td width="20%" align="center">{{ user.email }}</td>
                    <td width="20%" align="center">
                        {% if user.enabled == true %}
                            <span class="badge badge-success">Activée</span>
                        {% else %}
                            <span class="badge badge-danger">Désactivée</span>
                        {% endif %}
                    </td>

                </tr>
                <div class="modal fade" id="deleteAdmin{{ user.id }}" tabindex="-1" role="dialog" aria-labelledby="deleteAdmin" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr que vous voulez supprimer?</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                <a  class="btn btn-danger" href="{{ path('su_tuteur_delete_get', { 'id': user.id }) }}" >Supprimer</a>
                            </div>
                        </div>
                    </div>
                </div>

            {% endfor %}
        {% endif %}
        </tbody>
    </table>
    <nav class="navigation align-content-center">
        {{ knp_pagination_render(users) }}
    </nav>
</div>

{% endblock %}